- Qt 5.15
- Qt Help
- C++ Classes
- QHelpIndexModel
- Qt 5.15.19 Reference Documentation

# QHelpIndexModel Class

The QHelpIndexModel class provides a model that supplies index keywords to views. More...

Header: | #include <QHelpIndexModel>
qmake: | QT += help
Since: | Qt 4.4
Inherits: | QStringListModel

This class was introduced in Qt 4.4.

- List of all members, including inherited members
- Obsolete members

## Public Functions

void | createIndex(const QString &customFilterName)
QModelIndex | filter(const QString &filter, const QString &wildcard = QString())
QHelpEngineCore * | helpEngine() const
bool | isCreatingIndex() const

## Signals

void | indexCreated()
void | indexCreationStarted()

## Detailed Description

## Member Function Documentation

### `[signal]` void QHelpIndexModel::indexCreated()

This signal is emitted when the index has been created.

### `[signal]` void QHelpIndexModel::indexCreationStarted()

This signal is emitted when the creation of a new index has started. The current index is invalid from this point on until the signal indexCreated() is emitted.

See also isCreatingIndex().

### void QHelpIndexModel::createIndex(const QString &customFilterName)

Creates a new index by querying the help system for keywords for the specified customFilterName.

### QModelIndex QHelpIndexModel::filter(const QString &filter, const QString &wildcard = QString())

Filters the indices and returns the model index of the best matching keyword. In a first step, only the keywords containing filter are kept in the model's index list. Analogously, if wildcard is not empty, only the keywords matched are left in the index list. In a second step, the best match is determined and its index model returned. When specifying a wildcard expression, the filter string is used to search for the best match.

### QHelpEngineCore *QHelpIndexModel::helpEngine() const

Returns the associated help engine that manages this model.

This function was introduced in Qt 5.15.

### bool QHelpIndexModel::isCreatingIndex() const

Returns true if the index is currently built up, otherwise false.